Create Memo
CreateMemo creates a memo. The request body is a Memo; set its content (Markdown) and visibility (PRIVATE | PROTECTED | PUBLIC, default PRIVATE). The memo is owned by the authenticated user; requires authentication.
Query Parameters
Optional. The memo ID to use for this memo. If empty, a unique ID will be generated. Format: ^a-zA-Z0-9?$
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/v1/memos" \ -H "Content-Type: application/json" \ -d '{ "state": "STATE_UNSPECIFIED", "content": "string", "visibility": "VISIBILITY_UNSPECIFIED" }'{ "name": "string", "state": "STATE_UNSPECIFIED", "creator": "string", "createTime": "2019-08-24T14:15:22Z", "updateTime": "2019-08-24T14:15:22Z", "content": "string", "visibility": "VISIBILITY_UNSPECIFIED", "tags": [ "string" ], "pinned": true, "attachments": [ { "name": "string", "createTime": "2019-08-24T14:15:22Z", "filename": "string", "content": "string", "externalLink": "string", "type": "string", "size": "string", "memo": "string", "motionMedia": { "family": "MOTION_MEDIA_FAMILY_UNSPECIFIED", "role": "MOTION_MEDIA_ROLE_UNSPECIFIED", "groupId": "string", "presentationTimestampUs": "string", "hasEmbeddedVideo": true } } ], "relations": [ { "memo": { "name": "string", "snippet": "string" }, "relatedMemo": { "name": "string", "snippet": "string" }, "type": "TYPE_UNSPECIFIED" } ], "reactions": [ { "name": "string", "creator": "string", "contentId": "string", "reactionType": "string", "createTime": "2019-08-24T14:15:22Z" } ], "property": { "hasLink": true, "hasTaskList": true, "hasCode": true, "hasIncompleteTasks": true, "title": "string" }, "parent": "string", "snippet": "string", "location": { "placeholder": "string", "latitude": 0.1, "longitude": 0.1 }}